<?php

namespace BitCommunism\Http;

use function DI\add;
use function DI\autowire;
use function DI\get;
use function DI\value;

return [
    'marx.calls' => add([
        'http' => value(function(Server $server) {
            return $server;
        })
    ]),

    'marx.loaders' => add([
        value(function(Server $server) {
            $server->buildRoutes();
        })
    ]),

    Server::class => autowire()->constructorParameter('routes', get('routes')),
];