<?php

namespace BitCommunism\Http;

if (!function_exists(__NAMESPACE__ . '\\handle')) {
    function handle($call, $settings = []): Handle
    {
        return new Handle($call, $settings);
    }
}

if (!function_exists(__NAMESPACE__ . '\\redirect')) {
    function redirect($to, $status = 302)
    {
        return handle(function (Context $c) use ($to, $status) {
            $c->redirect($to, $status);
        });
    }
}